# Button : VisualElement
The Button is a standard button element with click handling and state management.

## Properties

|Property|Type|Default|Description|
|---|---|---|---|
|text|string|Button|Button text


## Protected Functions

|Method|Returns|Description|
|---|---|---|
|Button:init|-|Initializes the Button instance
|Button:render|-|Renders the Button


